package com.ai.android.BDayWidget;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.TextView;

public class HelloWorld extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) 
    {
    	//call the parent to attach any system level menus
    	super.onCreateOptionsMenu(menu);
 	   	MenuInflater inflater = getMenuInflater(); //from activity
 	   	inflater.inflate(R.menu.main_menu, menu);
 	   	
    	return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) 
    {
    	appendMenuItemText(item);
    	if (item.getItemId() == R.id.menu_clear)
    	{
    		this.emptyText();
    		return true;
    	}
    	if (item.getItemId() == R.id.mid_test_date)
    	{
    		testDates();
    		return true;
    	}
    	if (item.getItemId() == R.id.mid_test_pref)
    	{
    		this.testPref(this);
    		return true;
    	}
    	this.invokeMultiView(item.getItemId());
    	return true;
    }
    private void testDates()
    {
		String v = Utils.test("9/11/2009");
		this.appendText(v);
		v = Utils.test("13/11/2009");
		this.appendText(v);
		v = Utils.test("1/1/2009");
		this.appendText(v);
		v = Utils.test("9/31/2009");
		this.appendText(v);
    }
    private void testPref(Context ctx)
    {
    	Utils.testPrefSave(ctx);
    }
    private void invokeMultiView(int mid)
    {
		Intent intent = new Intent(this,MultiViewTestHarnessActivity.class);
		intent.putExtra("com.ai.menuid", mid);
		startActivity(intent);
    }
    
    private TextView getTextView()
    {
        return (TextView)this.findViewById(R.id.text1);
    }
    
    private void appendMenuItemText(MenuItem menuItem)
    {
       String title = menuItem.getTitle().toString();
       TextView tv = getTextView(); 
       tv.setText(tv.getText() + "\n" + title);
    }
    private void emptyText()
    {
          TextView tv = getTextView();
          tv.setText("");
    }
    
    private void appendText(String text)
    {
       TextView tv = getTextView(); 
       tv.setText(tv.getText() + "\n" + text);
    }
}